program ChromuLan;

uses
  frstunit in 'frstunit.pas',
  Forms,
  Main in 'Main.pas' {MainForm},
  SpecForm in 'SpecForm.pas' {SpectrumForm},
  MargDial in 'MargDial.pas' {MarginsDialog},
  Plotu in 'Plotu.pas',
  Spectrum in 'Spectrum.pas',
  UlanType in 'UlanType.pas',
  DebugFrm in 'DebugFrm.pas' {DebugForm},
  DrawBuf in 'DrawBuf.pas',
  AboutFrm in 'AboutFrm.pas' {AboutBox},
  CommFrm in 'CommFrm.pas' {CommForm},
  UlanGlob in 'UlanGlob.pas',
  DevMode in 'DevMode.pas',
  DevSetFr in 'DevSetFr.pas' {DevSetupForm},
  ComInfo in 'ComInfo.pas' {CommInfoForm},
  FiltDlg in 'FiltDlg.pas' {FilterParsForm},
  ULAType in 'ULAType.pas',
  ULIType in 'ULIType.pas',
  ULURType in 'ULURType.pas',
  ULDRType in 'ULDRType.pas',
  ULRecTyp in 'ULRecTyp.pas',
  ULObju in 'ULObju.pas',
  TXUlan in 'TXUlan.pas',
  ULIFrmu in 'Ulifrmu.pas' {ULIForm},
  PropUtl in 'PropUtl.pas',
  ULGCType in 'ULGCType.pas',
  ULGFType in 'ULGFType.pas',
  ULPType in 'ULPType.pas',
  ULEType in 'ULEType.pas',
  ULBrowu in 'ULBrowu.pas' {BrowseForm},
  ULRecUtl in 'ULRecUtl.pas',
  ULRType in 'ULRType.pas',
  ExpImpu in 'ExpImpu.pas',
  MouseLin in 'MouseLin.pas',
  Axisu in 'Axisu.pas',
  ULEdFrm in 'ULEdFrm.pas' {ULEditForm},
  ULObjDes in 'ULObjDes.pas',
  ULVOType in 'ULVOType.pas',
  PumpFrm in 'PumpFrm.pas' {PumpForm},
  ULDPType in 'ULDPType.pas',
  ULBDType in 'ULBDType.pas',
  ulau in 'ulau.pas',
  Report in 'Report.pas' {Form2},
  ULTType in 'ULTType.pas',
  ULTEType in 'ULTEType.pas',
  ULXType in 'ULXType.pas',
  ULXRType in 'ULXRType.pas',
  mathcopr in 'mathcopr.pas',
  InfoFrm in 'infofrm.pas' {ShowInfoForm},
  FileNewDlg in 'FileNewDlg.pas' {FileNewDialog},
  AnalSetupFrm in 'AnalSetupFrm.pas' {AnalSetupForm},
  ULDRu in 'uldru.pas',
  ulltype in 'ulltype.pas',
  Channelsu in 'Channelsu.pas',
  AcqInfou in 'AcqInfou.pas',
  ClipUtl in 'ClipUtl.pas';

{$R *.RES}
{$R TXULAN.RES}
exports
  ULDREDIT,
  ULAEDIT
  {ULDRBROWSE
   ULDBROWSE};
begin
  Application.HelpFile := 'Chromulan.hlp';
  Application.Title := 'Chromulan';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TShowInfoForm, ShowInfoForm);
  if not MainForm.OneInstance.IsFirstInstance then
    exit;
  {/v0.10}
  Application.CreateForm(TMarginsDialog, MarginsDialog);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TDevSetupForm, DevSetupForm);
  Application.CreateForm(TCommInfoForm, CommInfoForm);
  Application.CreateForm(TFilterParsForm, FilterParsForm);
  Application.CreateForm(TDebugForm, DebugForm);
  Application.CreateForm(TForm2, Form2);
  {v0.10}{/v0.10
  if paramcount > 0 then begin
    CreateSpectrumForm(paramstr(1), omRead);
  end;}
  Application.Run;
end.
